Subject: bug#44664: 28.0.50; troubles with some chars in term

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 18 Nov 2020 22:04:34 +0100

Eli Zaretskii <[email-masked]> writes:

> So yes, in that original screenshot some characters are wider than 1
> column.  But shouldn't the Lisp program which produces this display
> take the character widths into account?

You mean term.el?  Yes -- since it's emulating a terminal, and terminals
require (I think?) that all glyphs are multiples of each other
width-wise, term.el should do something about glyphs that Emacs doesn't
display in the same width.  I don't know what, though -- display a �
character instead?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no